Bug 847754 - FC17 Kernel 3.x panic on boot when acpi on, HP TX2-1017au laptop
FC17 Kernel 3.x panic on boot when acpi on, HP TX2-1017au laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 09:04 EDT by Jose Alberto Morales
Modified: 2013-01-02 12:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-02 12:50:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a boot with the acpi=off, and below a successfull boot with acpi on. (201.90 KB, text/x-log)
2012-08-13 09:04 EDT, Jose Alberto Morales
no flags Details
Picture of kernel Panic 1 (1.29 MB, image/jpeg)
2012-08-14 05:50 EDT, Jose Alberto Morales
no flags Details
Picture of kernel panic 2 (1.34 MB, image/jpeg)
2012-08-14 05:51 EDT, Jose Alberto Morales
no flags Details
kernel panic fresh installation fedora 17 (1.49 MB, image/jpeg)
2012-08-15 09:21 EDT, Jose Alberto Morales
no flags Details
2nd part kernel panic fresh installation fedora 17 (1.12 MB, image/jpeg)
2012-08-15 09:22 EDT, Jose Alberto Morales
no flags Details

  None (edit)
Description Jose Alberto Morales 2012-08-13 09:04:12 EDT
Created attachment 603998 [details]
a boot with the acpi=off, and below a successfull boot with acpi on.

Description of problem:
When booting I have to reboot several times till fedora 17 finish loading without Kernel Panic, or either i turn off acpi, and then boot at once.

Version-Release number of selected component (if applicable):17
kernel 3.X

How reproducible: Install a Fedora 17 on a HP TouchSmart tx2-1017au, I have also change the hard drive to an SSD drive, could this be the problem?


Steps to Reproduce:
1. Turn on the laptop
2. Hangs in Kernel Panic
3. Reboot
4. Return to point 1, and repeats until it finally boot without problems.

Optional: add acpi=off to kernel line and it boots at once.
  
Actual results: Had to reboot several times untils it finally loads.


Expected results: Boot and loads everything in softly without having to reboot or turning off acpi.


Additional info:
Comment 1 Jose Alberto Morales 2012-08-13 09:08:34 EDT
Seems similar to this one, but on Kernel 3.X, when i used Kernel 2.6.X I didn't had problems. with fedora 12.
Comment 2 Jose Alberto Morales 2012-08-13 09:09:04 EDT
Sorry, this is the link.
https://bugzilla.redhat.com/show_bug.cgi?id=624758
Comment 3 Jose Alberto Morales 2012-08-13 22:37:12 EDT
I have also tried combinations of acpi=ht, pci=noacpi, acpi=noirq, pnpacpi=off, noapic, nolapic, nohz=off, acpi=strict. and continues hangs.

(In reply to comment #0)
> Created attachment 603998 [details]
> a boot with the acpi=off, and below a successfull boot with acpi on.
> 
> Description of problem:
> When booting I have to reboot several times till fedora 17 finish loading
> without Kernel Panic, or either i turn off acpi, and then boot at once.
> 
> Version-Release number of selected component (if applicable):17
> kernel 3.X
> 
> How reproducible: Install a Fedora 17 on a HP TouchSmart tx2-1017au, I have
> also change the hard drive to an SSD drive, could this be the problem?
> 
> 
> Steps to Reproduce:
> 1. Turn on the laptop
> 2. Hangs in Kernel Panic
> 3. Reboot
> 4. Return to point 1, and repeats until it finally boot without problems.
> 
> Optional: add acpi=off to kernel line and it boots at once.
>   
> Actual results: Had to reboot several times untils it finally loads.
> 
> 
> Expected results: Boot and loads everything in softly without having to
> reboot or turning off acpi.
> 
> 
> Additional info:
Comment 4 Jose Alberto Morales 2012-08-14 05:50:09 EDT
Created attachment 604239 [details]
Picture of kernel Panic 1
Comment 5 Jose Alberto Morales 2012-08-14 05:51:04 EDT
Created attachment 604240 [details]
Picture of kernel panic 2
Comment 6 Dave Jones 2012-08-14 13:57:46 EDT
what is the proprietary module that you have loaded ?
Comment 7 Jose Alberto Morales 2012-08-15 09:20:12 EDT
(In reply to comment #6)
> what is the proprietary module that you have loaded ?

First I thought it was because broadcom-wl, but I have made a fresh instalation with minimal packages and continues to have kernel panic.

Right now it only have Fedora 17 minimal install, and instead of broadcom b43 and bcma.

I will include new pictures of the kernel panic. by the way, the messages of the kernel panic is not always the same, sometimes it provides a list of modules and short messages, and other times, unreadable things. And other times it just hangs during boot, and keyboard light flashes.

If its useful, I have a list of modules loaded when I boot with acpi=off, and one of the lucky times that boot normaly.

With acpci=off

Module                  Size  Used by
fuse                   77952  3 
tpm_bios               13528  0 
kvm                   412517  0 
vfat                   17461  1 
fat                    60397  1 vfat
uvcvideo               76826  0 
videobuf2_vmalloc      12967  1 uvcvideo
videobuf2_memops       13354  1 videobuf2_vmalloc
videobuf2_core         31992  1 uvcvideo
videodev              116207  2 uvcvideo,videobuf2_core
media                  20444  2 uvcvideo,videodev
snd_hda_codec_si3054    13008  1 
microcode              23435  0 
snd_hda_codec_realtek    77727  1 
snd_hda_intel          37587  2 
snd_hda_codec         126728  3 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
k10temp                13126  0 
snd_pcm                97292  3 snd_hda_codec_si3054,snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  1 snd_pcm
snd                    79242  11 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hwdep,snd_timer,snd_pcm,snd_hda_codec,snd_hda_intel
soundcore              14491  1 snd
sp5100_tco             13697  0 
i2c_piix4              13694  0 
lib80211_crypt_tkip    17662  0 
wl                   2573484  0 
r8169                  61608  0 
mii                    13527  1 r8169
lib80211               13968  2 wl,lib80211_crypt_tkip
shpchp                 37108  0 
uinput                 17673  0 
nfsd                  277156  1 
nfs_acl                12741  1 nfsd
auth_rpcgss            44154  1 nfsd
lockd                  89250  1 nfsd
binfmt_misc            17463  1 
sunrpc                255029  4 nfsd,auth_rpcgss,lockd,nfs_acl
ata_generic            12899  0 
pata_acpi              13027  0 
pata_atiixp            13204  0 
ums_realtek            17949  0 
usb_storage            56353  1 ums_realtek
radeon                894879  3 
i2c_algo_bit           13257  1 radeon
drm_kms_helper         40253  1 radeon
ttm                    79760  1 radeon
drm                   259168  5 ttm,drm_kms_helper,radeon
i2c_core               38177  6 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon,videodev



and normaly, one of the times it boots without problems.

Module                  Size  Used by
fuse                   77952  2 
bnep                   19584  2 
tpm_bios               13528  0 
vfat                   17461  1 
fat                    60397  1 vfat
hp_wmi                 18048  0 
sparse_keymap          13526  1 hp_wmi
btusb                  23870  0 
uvcvideo               76826  0 
bluetooth             298929  8 bnep,btusb
videobuf2_vmalloc      12967  1 uvcvideo
videobuf2_memops       13354  1 videobuf2_vmalloc
videobuf2_core         31992  1 uvcvideo
rfkill                 21384  5 hp_wmi,bluetooth
snd_hda_codec_si3054    13008  1 
kvm                   412517  0 
videodev              116207  2 uvcvideo,videobuf2_core
snd_hda_codec_realtek    77727  1 
media                  20444  2 uvcvideo,videodev
microcode              23435  0 
snd_hda_intel          37587  2 
snd_hda_codec         126728  3 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
snd_pcm                97292  3 snd_hda_codec_si3054,snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  1 snd_pcm
k10temp                13126  0 
snd                    79242  11 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hwdep,snd_timer,snd_pcm,snd_hda_codec,snd_hda_intel
sp5100_tco             13697  0 
ir_lirc_codec          13021  0 
lirc_dev               19504  1 ir_lirc_codec
soundcore              14491  1 snd
i2c_piix4              13694  0 
ir_mce_kbd_decoder     13248  0 
ir_sanyo_decoder       12839  0 
lib80211_crypt_tkip    17662  0 
ir_sony_decoder        12713  0 
ir_jvc_decoder         12751  0 
wl                   2573484  0 
ir_rc6_decoder         12874  0 
ir_rc5_decoder         12710  0 
ir_nec_decoder         12915  0 
r8169                  61608  0 
rc_rc6_mce             12502  0 
ene_ir                 29014  0 
shpchp                 37108  0 
rc_core                26700  11 ir_lirc_codec,ir_rc5_decoder,ir_nec_decoder,ir_sony_decoder,ene_ir,ir_mce_kbd_decoder,ir_jvc_decoder,ir_rc6_decoder,ir_sanyo_decoder,rc_rc6_mce
mii                    13527  1 r8169
lib80211               13968  2 wl,lib80211_crypt_tkip
binfmt_misc            17463  1 
uinput                 17673  0 
nfsd                  277156  13 
nfs_acl                12741  1 nfsd
auth_rpcgss            44154  1 nfsd
lockd                  89250  1 nfsd
sunrpc                255029  17 nfsd,auth_rpcgss,lockd,nfs_acl
ata_generic            12899  0 
pata_acpi              13027  0 
pata_atiixp            13204  0 
ums_realtek            17949  0 
usb_storage            56353  1 ums_realtek
wmi                    18697  1 hp_wmi
video                  18936  0 
radeon                894879  3 
i2c_algo_bit           13257  1 radeon
drm_kms_helper         40253  1 radeon
ttm                    79760  1 radeon
drm                   259168  5 ttm,drm_kms_helper,radeon
i2c_core               38177  6 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon,videodev


and now, with fresh minimal installation of fedora 17 and acpci=off, 
Module                  Size  Used by
fuse                   77952  2 
lockd                  89250  0 
sunrpc                255029  1 lockd
bnep                   19584  2 
tpm_bios               13528  0 
bluetooth             298929  7 bnep
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14341  3 
nf_defrag_ipv6         18177  1 nf_conntrack_ipv6
ip6table_filter        12815  1 
ip6_tables             26942  1 ip6table_filter
nf_conntrack_ipv4      14744  2 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_state               12578  5 
nf_conntrack           83563  3 xt_state,nf_conntrack_ipv4,nf_conntrack_ipv6
arc4                   12529  2 
b43                   370289  0 
kvm                   412517  0 
bcma                   35070  1 b43
mac80211              521833  1 b43
cfg80211              192150  2 b43,mac80211
rfkill                 21384  4 cfg80211,bluetooth
uvcvideo               76826  0 
videobuf2_vmalloc      12967  1 uvcvideo
videobuf2_memops       13354  1 videobuf2_vmalloc
videobuf2_core         31992  1 uvcvideo
videodev              116207  2 uvcvideo,videobuf2_core
snd_hda_codec_si3054    13008  1 
media                  20444  2 uvcvideo,videodev
snd_hda_codec_realtek    77727  1 
microcode              23435  0 
snd_hda_intel          37587  0 
sp5100_tco             13697  0 
snd_hda_codec         126728  3 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
k10temp                13126  0 
snd_pcm                97292  3 snd_hda_codec_si3054,snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  1 snd_pcm
snd                    79242  7 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hwdep,snd_timer,snd_pcm,snd_hda_codec,snd_hda_intel
soundcore              14491  1 snd
i2c_piix4              13694  0 
r8169                  61608  0 
ssb                    65677  1 b43
mii                    13527  1 r8169
mmc_core              101681  2 b43,ssb
shpchp                 37108  0 
uinput                 17673  0 
ata_generic            12899  0 
pata_acpi              13027  0 
pata_atiixp            13204  0 
ums_realtek            17949  0 
usb_storage            56353  2 ums_realtek
radeon                894879  1 
i2c_algo_bit           13257  1 radeon
drm_kms_helper         40253  1 radeon
ttm                    79760  1 radeon
drm                   259168  3 ttm,drm_kms_helper,radeon
i2c_core               38177  6 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon,videodev


and again, with the new fresh installation and normal boot, it takes around 5 kernel panic boots to have a successfully normal boot.
Module                  Size  Used by
lockd                  89250  0 
sunrpc                255029  1 lockd
bnep                   19584  2 
tpm_bios               13528  0 
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14341  3 
nf_defrag_ipv6         18177  1 nf_conntrack_ipv6
ip6table_filter        12815  1 
nf_conntrack_ipv4      14744  2 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_state               12578  5 
nf_conntrack           83563  3 xt_state,nf_conntrack_ipv4,nf_conntrack_ipv6
ip6_tables             26942  1 ip6table_filter
arc4                   12529  2 
b43                   370289  0 
bcma                   35070  1 b43
mac80211              521833  1 b43
cfg80211              192150  2 b43,mac80211
hp_wmi                 18048  0 
sparse_keymap          13526  1 hp_wmi
kvm                   412517  0 
microcode              23435  0 
uvcvideo               76826  0 
videobuf2_vmalloc      12967  1 uvcvideo
videobuf2_memops       13354  1 videobuf2_vmalloc
videobuf2_core         31992  1 uvcvideo
k10temp                13126  0 
videodev              116207  2 uvcvideo,videobuf2_core
media                  20444  2 uvcvideo,videodev
btusb                  23870  0 
bluetooth             298929  8 bnep,btusb
rfkill                 21384  5 cfg80211,hp_wmi,bluetooth
snd_hda_codec_si3054    13008  1 
snd_hda_codec_realtek    77727  1 
snd_hda_intel          37587  0 
snd_hda_codec         126728  3 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
snd_pcm                97292  3 snd_hda_codec_si3054,snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  1 snd_pcm
snd                    79242  7 snd_hda_codec_realtek,snd_hda_codec_si3054,snd_hwdep,snd_timer,snd_pcm,snd_hda_codec,snd_hda_intel
soundcore              14491  1 snd
sp5100_tco             13697  0 
ir_lirc_codec          13021  0 
i2c_piix4              13694  0 
lirc_dev               19504  1 ir_lirc_codec
ir_mce_kbd_decoder     13248  0 
ir_sanyo_decoder       12839  0 
ir_sony_decoder        12713  0 
ir_jvc_decoder         12751  0 
ir_rc6_decoder         12874  0 
ir_rc5_decoder         12710  0 
r8169                  61608  0 
mii                    13527  1 r8169
ssb                    65677  1 b43
mmc_core              101681  2 b43,ssb
ir_nec_decoder         12915  0 
shpchp                 37108  0 
rc_rc6_mce             12502  0 
ene_ir                 29014  0 
rc_core                26700  11 ir_lirc_codec,ir_rc5_decoder,ir_nec_decoder,ir_sony_decoder,ene_ir,ir_mce_kbd_decoder,ir_jvc_decoder,ir_rc6_decoder,ir_sanyo_decoder,rc_rc6_mce
uinput                 17673  0 
ata_generic            12899  0 
pata_acpi              13027  0 
pata_atiixp            13204  0 
ums_realtek            17949  0 
usb_storage            56353  1 ums_realtek
wmi                    18697  1 hp_wmi
video                  18936  0 
radeon                894879  1 
i2c_algo_bit           13257  1 radeon
drm_kms_helper         40253  1 radeon
ttm                    79760  1 radeon
drm                   259168  3 ttm,drm_kms_helper,radeon
i2c_core               38177  6 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon,videodev
Comment 8 Jose Alberto Morales 2012-08-15 09:21:48 EDT
Created attachment 604603 [details]
kernel panic fresh installation fedora 17
Comment 9 Jose Alberto Morales 2012-08-15 09:22:39 EDT
Created attachment 604604 [details]
2nd part kernel panic fresh installation fedora 17
Comment 10 Jose Alberto Morales 2012-08-21 04:40:09 EDT
Hi,

I just Blacklist pata_acpi, and problem seems to be solved.

What does PATA_ACPI module? It's important?
Comment 11 Dave Jones 2012-08-21 10:35:00 EDT
thanks for tracking this down.

it's a fallback driver for running ATA disks when we don't have a chipset driver.  I'm not 100% sure we even need it any more.

Do you see the oops immediately if you do a modprobe pata_acpi after loading with it blacklisted ?

The kernel panic images unfortunatly don't show much interesting, as there's no call-trace, so it would be good if we could get a better trace.

Note You need to log in before you can comment on or make changes to this bug.